
# ~/ENCODE_AWG/Analyses/ExpValidation/Presentations/Gencode_02192013/README.sh

# 02/18/2013
############
# Dear all
# we need to present in the general GENCODE call Tuesday next week. I suggest that we present the results on the current RACE experiments. I can do the presentation, if nobody else wants to do it
# I suggest the following outline
# 1. Initial desgin of the experiments. This includes the computational analysis of the data. I think that this is mostly Julen, Andre and Javier (for the computational analysis)
# 2. Results in Brain and Testis. Here we need to summarize what we have in terms of overall statistical analysis, enrichement in targets, expansions discovered, with examples. This is mostly Andrea, Julien, Adam et al. I thin that we already have the presentations. It is a question of
# 3. Expanding to additional tissues. Results by Javier.
# 4. New experimental design with nested RACE. It would be nice to have an schema and the number of primers designed, and tissues tested This is moslty Julien
# Sorry for the late notice, but if I am giving the presentation, I would need the materials by Monday nigth, so that I can put the presentation together on Tuesday.
# Thanks
# Roderic


# This is all the conversations I know of (I was included in the mailing list in oct 2012 only
# for discusssions before that i will have to ask Julien)

# Oct 8th 2012
##############
# Hi Roderic,
#  All the samples have been already sequenced. Last Friday the last two samples were finished and right now the images of these two last samples are been processed in the cluster. I can provide tomorrow data about number of reads, length and quality of the sequences.
#  We have to run some quality checks on the reads but by Thursday they will be available for download from our ftp server.
# Kind regards,
# Javier

# dear javier,
# thank you for the update.
# I reserved cluster time from thursday on such that I can start the
# mapping of the reads right away.
# please let me know as soon as the reads are ready for download.
# kind regards,
# a.


# Oct 22nd 2012
###############
# Andrea, Javier
# will you be able to provide a short update of the 454 seqeuncing in the call tomorrow?
# thanks
# R

# Hi Roderic,
#  I can provide for tomorrow's call information about the samples, libraries and reads that have been generated
# Kind regards,
# Javier
# jsantoyo_encode_23Oct2012_sequencingReport.pdf

# dear all,
# attached please find my presentation.
# I will have to leave early today (11:30 latest), so I'd appreciate if I
# could start with my presentation right away.
# also, it would be important to listen to Javier, so it would be good if
# he could present right after me.
# thank you!
# kind regards,
# a.
# atanzer_race454tissues_121023.pdf


# Nov 6th 2012
###############
# CRG mapped 454 data outside the annotation?
#############################################
# hi jen,
# sorry it took so long, I had to fix some issues with the files.
# anyway, I meanwhile processed the mapped reads for all 7 tissues,
# and split the data sets as discussed.
# they can be found here:
# http://genome.crg.es/~atanzer/454/Comp_gencode_models/*.bed12
# where:
# the first round of sequencing:
# [3,5]_{brain, testis}C is crg sequencing
# [3,5]_{brain, testis}S is sevilla sequencing
# the second round:
# [3,5]_{heart, kidney, lung, liver, spleen} is sevilla sequencing
# also, I provide different sets for each direction and tissue
# *j1.A80.W60.unique.overl_models.bed12 is the set that overlaps any of
# the gencode models
# *j1.A80.W60.unique.NOoverl_models.bed12 is the set that overlaps any of
# the gencode models
# furthermore, I split the dataset into genomic and splitmapped reads:
# *j1.A80.W60.unique.genomic.overl_models.bed12 is the set that overlaps
# any of the gencode models
# *j1.A80.W60.unique.genomic.NOoverl_models.bed12 is the set that overlaps
# any of the gencode models
# *j1.A80.W60.unique.split.overl_models.bed12 is the set that overlaps any
# of the gencode models
# *j1.A80.W60.unique.split.NOoverl_models.bed12 is the set that overlaps
# any of the gencode models
# the files will remain at this location such that you can strem them into
# your annotation pipeline.
# please let me know if you have any further questions.
# kind regards,
# a.

# dear javier,
# mapped reads for all 7 tissues,
# and split the data sets as discussed.
# format: bled12 blocked
# they can be found here:
# http://genome.crg.es/~atanzer/454/splitreads_comp/*.bed12
# where the files with split reads are called
# [3,5]_{brainS, testisS, heart, kidney, lung, liver, spleen}_*.j1.A80.W60.unique.split.bed12
# where the files with genome mapped reads are called
# [3,5]_{brainS, testisS, heart, kidney, lung, liver, spleen}_*.j1.A80.W60.unique.genomic.bed12
# the mapped reads are filtered based on the following criteria:
# *) reads map uniquely to the genome
# *) min. 60% coverage of read => allowd missmatching at low quality ends and/or untrimmed regions
# *) min. 80% of matches in aligned region
# *) the read may have at most 10 deletions/insertions around the split (=splice site) in order to correctly call an exon junction
# it would be great if you could compare your split mappings/blat results to these files.
# I expect my splitmaped reads to be more or less a subset of your mapping.
# in case you have further questions please feel free to contact me!
# kind regards,

# and she sent this
# atanzer_race454tissues_121106.pdf


# Nov 27th 2012
###############
# Dear all
# Please find attached Sarahs presentation for the call today
# Sarah
# RACE454_1stset_CAGE_analysis_nov2012_ok.pdf
# Dear all,
#  Please find attached pdf with blat mapping stats.
# Regards,
# Javier
# jsl_blat_mapping_summary_11272012.pdf
# Dear all,
#  This is a figure comparing Andrea's mapping reads.
# Javier


# Nov 28th 2012
###############
# Hi Roderic,
#  As suggested in yesterday's call I've done a figure with counts of split reads vs length.
# In summary there is no bias for those reads that have a split when looking at their length. The count profiles are similar to total reads count.
#  Best regards,
# Javier
# Thanks a lot.
# I think that we need
# 1. include the previous tissues i the analysis and see whether the behaviour is the same
# 2. Identify the on target sequences--> measure enrichement
# 3. Redo the analysis with the on-target sequences
# 4. In the previous analysis we also build the contigs before the mapping. We shoud probably do the same now
# THanks
# Roderic
# OK, we'll start doing all those points.


# Dec 4th 2012
###############
# updated BLAT mapping presentation
#  Dear All,
#  Please find attached presentation with updated stats for BLAT mapping with 95% identity parameter.
# Best regards,
# Javier
# summary_dec4th2012.pdf

# Dear Javier
# thanks for this, and apologies for not attending. I am still stricken by the large proportion of sequence that map withou splicing, given that with the exception of the 3' end exons, the average human exon lenght is below 150. We realized when analyzing the brain and testis samples that the RACESeq approach provided only an enrichement (about 10-fold) of the targeted loci. Would it be possible for you to repeat the analysis, but now considering only the sequences mapping on target. I think Andrea had developed some method to identify the true target, but to start with we just could consider the RACE products mapping to any target (Andrea, Julien, what was your criteria for a sequence being on target?) xxx bp from the annotated termini?
# Hopefully, the proportion of split mappings will be higher in these cases that overall--as well as the variabiltiy across conditions will be lower).
# is this something that you can do for the call next week? I am affraid that I will have to miss it again, because we have a joint meeting with another insittute in Barcelona, but I can take a  look at the results.
# Thanks
# Roderic

# Dear Roderic,
#  Yes, it will possible to have statistics for reads mapping on the target region for next Tuesday.
#  For this exercise we are extending 2Kb upstream and downstream of the target region, and the same but with 5 Kb (as I'm not sure how much is unannotated).
# We are also doing the mapping with assembled reads in contigs and we'll do as well the enrichment of these contigs for the target region. I'll have some slides for next week's call.


# Dec 18th 2012
################
# Hello Sarah,
#  Yes I have some updates about the reads on the target genes. In general there is a low percentage of reads on the target region. Please find attached PDF file with the slides.
# Best regards,
# Javier
# encode_18_12_2012_summary.pdf

# hi javier,
# I find exactly the same thing. only around 5% of reads from other
# tissues map to targets. testius contains most information (20-30% of
# reads mapto targets)
# a.

# dear all,
# attached my slides.
# a.
# atanzer_race454tissues_121218.pdf

# dear all,
# I recalculated the number of reads overlapping targets as javier did.
# (his slides 3 and 5, method slide 2)
# attached please find the table.
# the table also contains a description of the columns
# and an example on how to read the table.
# javier: I also put the absolute numbers. can you please compare my
# stats to yours? thank you!
# kind regards,
# a.
# gen15_2kFlanks_javiercalc.gene.SpliceOpt.unique.overltarget.tab
# Sorry for not joining the last calls. Following on Andrea's and Javier's presentations, can we compute the enrichement with RACE? I see that we get about 5% of the reads mapped to the targets. What fraction of all the transcriptome does ths correspond. I understand that you add 2000bp +- the gene being targeted, correct? I mean exons+introns+2000 bp upstream and downstream). I think that the correct way of computing the enrichement is to compute how many reads map using the same criteria to all gencode annotated genes (but the targets) and then estimate the number of reads that one would expect in the targets. Let's say that we have 1 milion reads and 10,000 non target genes, on average 1000 bp long. Let's say that 1,000  target genes, on average 500 bp long.
# Let's assume that 500,000 reads map to the 10,000 targets. This means an expected number of 50 reads per kilobase. Let's assume that 100,000 reads map to the targets. This means 200 reads per kilobase. This is a 4-fold enrichment. Do we agree?
# I think that we need to compute this. I also think that Andrea will be sending new novel cases to the Havana team. In my opinon, we should already start writing the paper
# Roderic

# Hello Andrea,
#  We have created a table like the one you sent last week. Attached there is an excel file that contains the table with the numbers for the mapping with BLAT at 95% identity. Columns have the same notation as yours and position of samples are also in the same place for quick comparison.
# Best regards,
# Javier
# target_stats_BLAT95_table_ATnotation.xls

# Hi Roderic,
#  Yes, the target region we used for the calculations for each gene is all exons+introns+2000 bp upstream and downstream. We did this in case reads mapped beyond  5 and 3 annotated ends or onto unannotated exons.
# I've just also sent a similar table to the one that Andrea sent last week, but using BLAT mapping with 95% identity. Numbers have been calculated according to Andrea's description so  both tables are comparable. Overall numbers have similar trend to Andrea's.
#  I agree with the calculations on your example for the enrichment. We can have these enrichment calculations for the next call, we'll also have for the next call statistics for BLAT mapping using contigs (assembled reads). To make sure that I'm getting the right annotation for all the transcriptome it would be great if somebody could  point me out where I can get a gtf or bed file with the whole gencode annotated genes.
# Kind regards,
# Javier


# Jan 29th 2013
################
# Dear all,
#  Please find attached PDF with the enrichment calculations using gencode v7 and genes instead of exon regions.
# Kind regards,
# Javier

# Jan 31st 2013
################
# Hello everybody,
# As discussed in the last call, I would like to comment on the size selection step that is needed prior to library preparation for 454 sequencing.  This size selection step is required to avoid over-amplification of small fragments in the emulsion PCR prior to sequencing.  There are two 454 chemistries that we can run a) FLX Titanium or b) FLX+.
# For Titanium chemistry, there is a size selection step where at least 90%  of fragments smaller than 350 nt are removed. Sequencing these libraries produces reads of 500 nt on average.
# FLX+ chemistry produces longer reads, 800-1000 nt on average, and there is a size selection step where at least 90% of reads smaller than 500-600 nt are removed. I've been looking at this step, and if needed we can do a modification to do a size selection similar to titanium (removing most of the fragments smaller than 350 nt instead of 600).
# This means there is no problem and  we can use the current design of primers  with FLX+ chemistry that produces longer reads.
# Kind regards,
# Javier
# thanks Javier, that's excellent news!
# Julien

# Feb 18th 2013
###############
# hi sarah,
# I suggested to roderic that I could present tomorrow, but haven't heard
# back from him.
# do you know if he is going to present or whether you or I should
# present?
# thank you,
# a.
# Hi Andrea,
# This is perfect then, I think you should present, this makes more sense.
# Julien and Javier could send you their part today so that you can assemble the ppt for tomorrow, is it fine? do you need anything from me?
# Best regards,
# Sarah